UI::Util::FDTypeBuf< FDType > Class Template Reference

Template IO stream buffer for all file descriptors types. More...

`#include <Socket.hpp>`

Inheritance diagram for UI::Util::FDTypeBuf< FDType >:
Collaboration diagram for UI::Util::FDTypeBuf< FDType >:

## Public Types

typedef std::streambuf::traits_type | traits
| Shortcut.

## Public Member Functions

| FDTypeBuf (int fd, bool closeFd=false, int bufPutbackSize=4, int bufDataSize=1024)
| Constructor for file descriptor stream buffer.

## Protected Member Functions

virtual int | overflow (int c)
| streambuf overflow overload.
virtual std::streamsize | xsputn (const char *s, std::streamsize n)
| streambuf xsputn overload.
virtual int | underflow ()
| streambuf underflow overload.

## Protected Attributes

int | bufPutbackSize_
| Buffer control variables.
int | bufDataSize_
char * | buf_
| Internal buffer.

## Detailed Description

template<typename FDType>
class UI::Util::FDTypeBuf< FDType >

Template IO stream buffer for all file descriptors types.

The documentation for this class was generated from the following file:

- Socket.hpp